	PROGRAM main
	 IMPLICIT NONE

	 REAL v1(3)
	 REAL v2(3)
	 REAL x

	 DATA v1 / 1, 2, 3 /
	 DATA v2 / 4, 5, 6 /

	 print *, "v1 = ", v1
	 print *, "v2 = ", v2

	 x = DOT_PRODUCT(v1, v2)
	 print *, "x = ", x
	END
